## ros-noetic-rviz-tool-cursor 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rviz_tool_cursor)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(Eigen3 REQUIRED)
if(NOT TARGET Eigen3::Eigen)
  if(NOT EIGEN3_INCLUDE_DIRS)
    set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
  endif()
  find_package(Threads REQUIRED)
  add_library(Eigen3::Eigen IMPORTED INTERFACE)
  set_property(TARGET Eigen3::Eigen PROPERTY INTERFACE_COMPILE_DEFINITIONS ${EIGEN3_DEFINITIONS})
  set_property(TARGET Eigen3::Eigen PROPERTY INTERFACE_INCLUDE_DIRECTORIES ${EIGEN3_INCLUDE_DIRS})
endif()

find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(catkin REQUIRED COMPONENTS rviz pluginlib)

catkin_package(
  INCLUDE_DIRS
  include
  LIBRARIES
  tool_cursor
  CATKIN_DEPENDS
  rviz
  pluginlib)

# ######################################################################################################################
# Build ##
# ######################################################################################################################

include_directories(include ${catkin_INCLUDE_DIRS})

qt5_wrap_cpp(
  MOC_FILES
  include/${PROJECT_NAME}/rviz_tool_cursor.h
  src/circle_tool_cursor.h
  src/mesh_tool_cursor.h)

add_library(
  tool_cursor
  src/${PROJECT_NAME}/rviz_tool_cursor.cpp
  src/circle_tool_cursor.cpp
  src/mesh_tool_cursor.cpp
  ${MOC_FILES})
target_link_libraries(
  tool_cursor
  ${catkin_LIBRARIES}
  Qt5::Widgets
  Eigen3::Eigen)

# ######################################################################################################################
# Install ##
# ######################################################################################################################

# Mark executables and/or libraries for installation
install(
  TARGETS tool_cursor
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES plugin_description.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# ######################################################################################################################
# Testing ##
# ######################################################################################################################

=== debian/changelog ===
ros-noetic-rviz-tool-cursor (1.0.1-1focal) focal; urgency=high

  * Added install of icons directory (#21 <https://github.com/marip8/rviz_tool_cursor/issues/21>)
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Mon, 23 Jan 2023 06:00:00 -0000

ros-noetic-rviz-tool-cursor (1.0.0-1focal) focal; urgency=high

  * Functionality Update (#20 <https://github.com/marip8/rviz_tool_cursor/issues/20>)
    * Simplified polymorphism interface
    * Added base class plugin implementation; updated shortcuts; added icons
    * Updated colorization of mesh and circle tool cursors
    * Updated tool cursor to display selection points and lines and to publish pose array of selection poses
    * Moved image to docs directory
    * Removed getObjectName function
    * Updated documentation
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-rviz-tool-cursor (0.1.4-1focal) focal; urgency=high

  * CI and Formatting Updates (#19 <https://github.com/marip8/rviz_tool_cursor/issues/19>)
    * Added formatting files and scripts
    * Ran clang formatting
    * Ran CMake formatting
    * Added formatting CI jobs
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-rviz-tool-cursor (0.1.3-1focal) focal; urgency=high

  * Updated package.xml
  * Contributors: Michael Ripperger

 -- Michael Ripperger <michael.ripperger@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-rviz-tool-cursor
Section: misc
Priority: optional
Maintainer: Michael Ripperger <michael.ripperger@swri.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt5widgets5, qtbase5-dev, ros-noetic-catkin, ros-noetic-pluginlib, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rviz-tool-cursor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5widgets5, ros-noetic-pluginlib, ros-noetic-rviz
Description: The rviz_tool_cursor package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rviz-tool-cursor//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
